Skip to content

Instances

APIs to manage Dynamic Monetization instances, which host the line items belonging to customers.

Get a list of instances

Request

Returns information about instances owned by a producer's customer accounts.
Each customer account may have one or more instances, and each instance serves exactly one customer account.

Security
AdministrationAccess
Query
nextinteger

Enter the next page value returned by the response to the previous GET /instances request to get the next page of instances.

sizeinteger

Enter the number of items to return. (This number of items is not guaranteed.)

accountIdstring

Find instances belonging to this account ID. This query parameter must be used in combination with the 'default' query parameter.

defaultboolean

Find the default instance for the given account ID. Must be set to 'true'.

curl -i -X GET \
  'https://siteID.flexnetoperations.com/dynamicmonetization/provisioning/api/v1.1/instances?next=0&size=0&accountId=string&default=true' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

List of instances was successfully returned.

Bodyapplication/json
contentArray of objects(Instance)

The list of instances.

nextinteger

Use this page value in your next GET /instances request to fetch the next page of instances.

Response
{ "content": [ {} ], "next": 0 }